<?php 

namespace Drupal\noahs_page_builder;

use Drupal\file\Entity\File;


class Control_Noahs_Transform{
	
	public function get_type() {
		return 'noahs_transform';
	}

	public function content_template($data, $name, $value) {


		

		?>
		<?php ob_start() ?>
		
		<div class="mb-3 row row-cols-2">
			<div class="mb-2">
				<label class="form-label">Scale:</label>
				<input value="<?php echo !empty($value['scale']) ? $value['blscaleur'] : null; ?>" type="number" step="0.1" name="<?php echo $name; ?>[scale]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Rotate X:</label>
				<input value="<?php echo !empty($value['rotate_x']) ? $value['rotate_x'] : null; ?>" type="number" name="<?php echo $name; ?>[rotate_x]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Rotate y:</label>
				<input value="<?php echo !empty($value['rotate_y']) ? $value['rotate_y'] : null; ?>" type="number" name="<?php echo $name; ?>[rotate_y]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Rotate z:</label>
				<input value="<?php echo !empty($value['rotate_z']) ? $value['rotate_z'] : null; ?>" type="number" name="<?php echo $name; ?>[rotate_z]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Translate X (Use width, px, %, etc...):</label>
				<input value="<?php echo !empty($value['translate_x']) ? $value['translate_x'] : null; ?>" type="text" name="<?php echo $name; ?>[translate_x]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Translate Y (Use width, px, %, etc...):</label>
				<input value="<?php echo !empty($value['translate_y']) ? $value['translate_y'] : null; ?>" type="text" name="<?php echo $name; ?>[translate_y]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Skew X:</label>
				<input value="<?php echo !empty($value['skew_x']) ? $value['skew_x'] : null; ?>" type="number" name="<?php echo $name; ?>[skew_x]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Skew Y:</label>
				<input value="<?php echo !empty($value['skew_y']) ? $value['skew_y'] : null; ?>" type="number" name="<?php echo $name; ?>[skew_y]" class="form-control">
			</div>
			<div class="mb-2">
				<label class="form-label">Skew Z:</label>
				<input value="<?php echo !empty($value['skew_z']) ? $value['skew_z'] : null; ?>" type="number" name="<?php echo $name; ?>[skew_z]" class="form-control">
			</div>
		</div>
		<?php return ob_get_clean();
	}


}