<?php 

namespace Drupal\noahs_page_builder;

class Control_Noahs_Select_Design {
	
	public function get_type() {
		return 'noahs_select_design';
	}

	public function content_template($data, $name, $value) {


		$value = (empty($value) && !empty($data['item']['default_value'])) ? $data['item']['default_value'] : $value;

		?>
		<?php ob_start() ?>
		
	
	<div class="row row-cols-2 g-2">
				<?php foreach($data['item']['options'] as $key => $option){ 

					?>
					<label for="option-<?php echo $key; ?>" class="col">
					
						<input type="radio" 
						id="option-<?php echo $key; ?>" 
						name="<?php echo $name; ?>" 
						value="<?php echo $key; ?>" 
						class="hidden" 
						<?php  echo (!empty($value) && $value === $key) ? 'checked' : null; ?>
						field-settings/>
						<div class="data-control">
							<div class="select-design-title"><?php echo $option['title']; ?></div>
							<img src="<?php echo $option['img']; ?>" class="w-100">
						</div>
					</label>
				<?php } ?>
			
				</div>
		<?php return ob_get_clean();
	}
}